Foros del Web » Programando para Internet » PHP »

php+mysql+perl+phpmyadmin+...

Estas en el tema de php+mysql+perl+phpmyadmin+... en el foro de PHP en Foros del Web. Eso mismo, se que es una pregunta trillada en este foro, pero como hay avences al respecto de intaladores, me gustaria hacer una lista completa ...
  #1 (permalink)  
Antiguo 26/03/2003, 17:45
Avatar de BooMeranGz  
Fecha de Ingreso: febrero-2001
Mensajes: 345
Antigüedad: 16 años, 9 meses
Puntos: 0
php+mysql+perl+phpmyadmin+...

Eso mismo, se que es una pregunta trillada en este foro, pero como hay avences al respecto de intaladores, me gustaria hacer una lista completa de los instaladores que funcionan bien e instalan:
php + mysql + phpmyadmin + perl + otros.
en sistemas win nt/2000/xp.

De manera de poder evaluarlos y ver si realmente ya se pueden instalar o hay que seguir a mano :)

Salu2.
  #2 (permalink)  
Antiguo 26/03/2003, 18:23
Avatar de Manoloweb  
Fecha de Ingreso: enero-2002
Ubicación: Monterrey
Mensajes: 2.454
Antigüedad: 15 años, 10 meses
Puntos: 5
Bueno, yo tengo excelente opinión de PHPTriad

Me ha funcionado P E R F E C T O
__________________
Manoloweb
  #3 (permalink)  
Antiguo 26/03/2003, 18:38
Avatar de BooMeranGz  
Fecha de Ingreso: febrero-2001
Mensajes: 345
Antigüedad: 16 años, 9 meses
Puntos: 0
Ojalá tengamos bastantes opiniones, ya que me gustaría hacer una encuesta al respecto :)

Bye.
  #4 (permalink)  
Antiguo 26/03/2003, 21:22
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Unos cuantos WAMP (Windows Apache Mysql PHP .. etc):

Fox Serv
http://www.foxserv.net

Easy PHP
http://www.easyphp.org/

PHP triad
http://sourceforge.net/projects/phptriad/

AppServ
http://academic.cmri.ac.th/appserv/index.php

e-novative
http://php.e-novative.de/ephp.php

Si vas hacer algun artículo sobre el tema o comparativa .. Ten en cuenta ademas de lo facil que sea de instalación .. Que tipo de instalción haga (CGI, módulo de apache) y las versiones de PHP, Apache .. etc que usen .. Estaría bueno tambien evaluar la configuración por defecto que deje el WAMP ..

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #5 (permalink)  
Antiguo 27/03/2003, 11:22
Avatar de BooMeranGz  
Fecha de Ingreso: febrero-2001
Mensajes: 345
Antigüedad: 16 años, 9 meses
Puntos: 0
Hola Cluster,

Justamente eso quiero hacer, una buena evaluación de todos los que se encuentren disponibles, y finalmente intentaré hacer un instalador de estos programas, tratando de incorporarle la mayor posibilidad de alternativas que se pueda, ya sea en la configuración personalizada de cada soft como en los tipos de instalación.

Creo que se podria lograr algo bueno, que sea free y que nos ayudaría un poco a todos en las reinstalaciones.

Ademas una de las cosas que me gustaria contemplar es la de poder incorporar en este instalador la opcion de configurar que version de cada programa quiere uno instalar, de manera que uno se baje apache x, php x, etc., y lo pueda instalar fácilmente.

Seguramente voy a necesitar ayuda y especialmente de tus conociemientos, asi que por aqui nos veremos con este tema muy seguido por un tiempo.

Salu2.
  #6 (permalink)  
Antiguo 27/03/2003, 11:56
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Una de las funcionalidades que hecho en falta en estos WAMP es que me pregunten si quiero instalar PHP como módulo de Apache o como CGI ..

La mayoría lo hacen como Módulo últimamente .. otros como CGI .. pero son pocos los que avisan cláramente de que tipo de instalación estan haciendo (así me pasó en mis comienzos con php que instalé una versión de la époco de phpTriad .. me lo dejó como CGI .. eso lo descubrí muchooo tiempo despues ;( ...)

El tema de configurar otras directivas simples como las de directorios (rutas) hacia el extension_paht .. o session.save_path .. que son importantes .. creo que mas de uno de esos WAMP no las "toca" .. asi luego llegan a foros como este pregunas como "no me van las sesiones" .. o "no me va las librerias GD y le quite el ;" ...

Configurar que .dll (extensiones) quieres instalar a "golpe de raton" estaría bueno .. y no solo en la insalación inicial .. sino como "configurador visual" para modificaciones del php.ini ...

Si conectase con php.net o mysql.com o apache.org para "bajar" la versión que quieres instalar sería ya la "leche" xDD Por ejemplo para hacer "upgrades" (actualizaciones) ..

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #7 (permalink)  
Antiguo 04/04/2003, 14:54
Avatar de BooMeranGz  
Fecha de Ingreso: febrero-2001
Mensajes: 345
Antigüedad: 16 años, 9 meses
Puntos: 0
¿No hay mas sugerencias que estas?

Vamos!, posteen algun dato más :)

Salu2.
  #8 (permalink)  
Antiguo 04/04/2003, 15:01
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Bueno .. y como van tus pruebas? .. algun previo q ver? xDD

Para darte esa lisata de WAMP . .use google un rato .. usalo tu a ver q sale de mas :PP ..

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #9 (permalink)  
Antiguo 28/04/2003, 17:59
Avatar de BooMeranGz  
Fecha de Ingreso: febrero-2001
Mensajes: 345
Antigüedad: 16 años, 9 meses
Puntos: 0
Bueno, la verdad que no he avanzado mucho en esto, pero al menos he probado bien los que mas conocemos:

* AppServ 1.9.0
* EasyPHP 1.6
* e-novative PHP v2002.10.21
* FoxServ 3.0
* FoxServ 3.1 Beta1
* PHPTriad 2.2.1

De todos estos, el único que instala PHP como servicio y no CGI es FoxServ 3.1 Beta 1.

Aunque es bastante complicado de usar el panel de configuración que trae, es más fácil hacer las modificaciones a mano en los configs de cada programa.

Tampoco me gusta que al iniciar Apache, deja la ventana del mismo open (y no se con que comando se cierra).

Pero en breve tendré mas resultados y seguro pediré ayuda aqui para confeccionar el instalador que mencioné nates

Salu2.
  #10 (permalink)  
Antiguo 28/04/2003, 18:08
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
mm BooMeranGz .. Cuando dices "como servicio" a que te refieres?

Te lo comento por qué .. "como servicio" se instala Apache 2.x (o Apache 1.3.x pero no es lo típico) .. Y la comparación con CGI sería si instalan PHP como Módulo (API) de Apache.

La "ventana" que de teda es por qué instalan Apache 1.3.x .. Esa versión funciona en modo DOS .. así q ahi tendras la ventana salvo que uses algún "Manager" como:

http://moonspot.net/apmgr.html

Que te permiten "iniciar" Apache pasando por ese "programita" que se queda en tu barra de tareas junto a la hora como un icono más ...

Sin embargo .. Apache 2.x ya tiene incorporado ese "Manager" de "série" .. Y puedes dejar Apache como un servicio del S.O. o inciarlo manualmente con ese "Manager" própio ..

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #11 (permalink)  
Antiguo 28/04/2003, 18:50
Avatar de S I D I U S  
Fecha de Ingreso: noviembre-2002
Ubicación: D.F.
Mensajes: 290
Antigüedad: 15 años, 1 mes
Puntos: 0
Cita:
Mensaje Original por Cluster
Unos cuantos WAMP (Windows Apache Mysql PHP .. etc):

Fox Serv
http://www.foxserv.net

Perdon Que Cambie Un Poco El Tema Pero Yo Tengo Un Problema Con "Fox Serv" lo instale en winXP Corren bien Todos Los Servicios Pero Cuando Mando Variables Ya Sea Con Un Formulario HTML o Flash A Un .php No Me Lee Las Variables! Y Los Mismos Scrips En Mi Servidor Linux Funcionan Muy Bien Podrian Orientarme Para Saber Que Es Lo Que Estara Mal Por Favor!

Muchas Gracias!!!


Saludos

se me olvidaba tengo esto en el php.ini
register_globals=On
__________________
http://www.execomnet.com

Última edición por S I D I U S; 28/04/2003 a las 19:07
  #12 (permalink)  
Antiguo 28/04/2003, 18:51
Avatar de BooMeranGz  
Fecha de Ingreso: febrero-2001
Mensajes: 345
Antigüedad: 16 años, 9 meses
Puntos: 0
Perdón Cluster, he posteado mal, quise decir como MODULO de....

Lo de servicio es cierto, y solo lo he probado con MySQL (que me trae problemas de esa manera)

Con respecto a lo de la "ventanita", tu sabes que si instalas Apache directamente, cuando lo inicias, aparece la consola y luego desaparece, a eso me refiero, que al instalarlo mediante FoxServ esa consola queda abierta.

No he probado Apache 2, aun no me animo, pero voy a revisar ese link que me pasas a ver de que trata.

Mas novedades: En realidad encontré muchos WAMP(P)s, solo que el 90% están en alemán o idiomas similares intraducibles

Salu2.
  #13 (permalink)  
Antiguo 29/04/2003, 12:24
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
SIDIUS ..
Haz tu preguna en un nuevo topic .. Como ya te habras dado cuenta ese "FoxServ" es solo un instalador de PHP+Apache .. etc ..

Así que pon un ejemplo del código que usas y haz mención a que usas register_globals a ON .. (pero en un nuevo mensaje .. y si te repasas las FAQ's mejor).

BooMeranGz
Ok, aclarado.
El link que te puse es para un "Manager" de Apache (mm si mal no recuerdo para Apache 1.x) Solo hace que evitar la ventana DOS de Apache y permite iniciar/apagar/reiniciar Apache a golpe de raton bajo el icono que deja en la barra de tareas junto a la hora de tu PC (windows). Bueno, ahí en ese link lo veras mejor. Incluso trae los fuentes en "C" por si quieres usarlo o adaptarlo para tu futuro WAMP ...

Un saludo,


Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #14 (permalink)  
Antiguo 29/04/2003, 13:53
Avatar de S I D I U S  
Fecha de Ingreso: noviembre-2002
Ubicación: D.F.
Mensajes: 290
Antigüedad: 15 años, 1 mes
Puntos: 0
oka de todas formas gracias!!!:)
__________________
http://www.execomnet.com
  #15 (permalink)  
Antiguo 01/04/2004, 00:40
Avatar de Rafael
Modegráfico
 
Fecha de Ingreso: marzo-2003
Mensajes: 8.954
Antigüedad: 14 años, 9 meses
Puntos: 1802
¿Alguien le ha dado seguimiento a esto?

De hecho el PHPTriad ya no hay en su versión freeware.

1) ¿Cual resultará el mejor instalador?
ya que supongo tienen mucha diferencia, ya que el triad medía 13 MB y un componente solo mide eso.
2) ¿Vale la pena instalarlo todo en original?
3) ¿Vale la pena usar la ultima versión de cada cosa? (para que versión, yo uso win98)

El famoso tutorial interesante.
http://servidor.hostrocket.com/
  #16 (permalink)  
Antiguo 01/04/2004, 01:25
Ex Colaborador
 
Fecha de Ingreso: junio-2002
Mensajes: 9.091
Antigüedad: 15 años, 5 meses
Puntos: 16
Hola,

Esto demuestra que se puede sacar dinero con el open source de los demas. Como han esquivado los problemas que podrian tener si cobrasen por distribuir MySQL.

De todas formas, yo recomiendo instalarlo todo "a mano". Si, puede darte un par de quebraderos de cabeza a la hora de configurar, que si se te olvida esto, que si unas comillas por ahi. Pero no es dificil, solo hay que saber leer (y tener paciencia). Hay tutoriales como el de maestros del web, que casi es hacer al pie de la letra lo que dice. Claro, ni punto de comparacion con un instalador en plan "dale siempre al ok".

Sobre lo de la ultima version, pues si usas la ultima estable, pues mejor. Menos bugs, mejor rendimiento.

Saludos.

PD: ¿PHPTriad sigue listado en sourceforge? Parece una version antigua, pero si esta en sourceforge es opensource, y por lo tanto, modificable y distribuible esa modificacion (no se exactamente que licencia usa). Por cierto, ¿a quien le llega las donaciones recibidas por via sourceforge a ese proyecto?
__________________
Josemi

Aprendiz de mucho, maestro de poco.
  #17 (permalink)  
Antiguo 01/04/2004, 08:21
Avatar de Rafael
Modegráfico
 
Fecha de Ingreso: marzo-2003
Mensajes: 8.954
Antigüedad: 14 años, 9 meses
Puntos: 1802
OK, va.

Ok.

Bueno para iniciar un instalador automático perfecto, pero si quiero aprender van los originales.

Usaré la ultima estable de cada uno.

De todos modos el seguimiento estaría interesante para los que inician (como si fuera muy experto yo ), y tal vez amerite ser después un faq.
  #18 (permalink)  
Antiguo 01/04/2004, 08:52
Ex Colaborador
 
Fecha de Ingreso: junio-2002
Mensajes: 9.091
Antigüedad: 15 años, 5 meses
Puntos: 16
Hombre, la guia de http://www.maestrosdelweb.com/editorial/phpmysqlap/ parece bastante simple. Y creo que hay bastante documentacion en internet.

Como ya he dicho, es cuestion de leer un poco.

Saludos.
__________________
Josemi

Aprendiz de mucho, maestro de poco.
  #19 (permalink)  
Antiguo 02/04/2004, 11:30
Avatar de Rafael
Modegráfico
 
Fecha de Ingreso: marzo-2003
Mensajes: 8.954
Antigüedad: 14 años, 9 meses
Puntos: 1802


Lo que sí es un poco el download de Mysql... 20 mb.

Ya se cortó un par de veces...

Gajes del oficio.
  #20 (permalink)  
Antiguo 03/04/2004, 06:16
Avatar de mdk
mdk
 
Fecha de Ingreso: noviembre-2002
Mensajes: 531
Antigüedad: 15 años, 1 mes
Puntos: 11
No se si lo habra mencionado alguien, tambien hay un instalador que se llama phpdev que me sugirieron en esta pagina hace tiempo, y la verdad de todos los que he probado es el que te configura mas cosas para que funcionen y no te instala apache como modulo cgi. Esta bastante bien, tambien hay que comentar que puedes ocultar la ventana de ms-dos que ejecuta al iniciar apache ejecutando un archivo.bat que instala y te mete unas lineas en el registro de windows en RunServices para que lo ejecute como un programa de servicios de windows. Es compatible con todos los windows, tanto los normales como los NT.

El link por si a alguien le interesa es http://prdownloads.sourceforge.net/p.../phpdev423.exe (te abre la pagina para elegir de donde quieres bajar, NO es una descarga directa). Tambien puedes entrar en http://prdownloads.sourceforge.net/phpdev5 y veras todas las versiones disponibles actualmente, pero la version 4.23 es la que veo mejor de todas.

Saludos ;)
__________________
SoY Lo Ke VeS iNKLuSo KuAnDo No Me VeS ;)
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta

SíEste tema le ha gustado a 2 personas (incluyéndote)




La zona horaria es GMT -6. Ahora son las 08:03.